#!/bin/bash


#Set PG variables
export PGDATA=/data/akapila/workspace/master/data
export PGPORT=5432
export LD_LIBRARY_PATH=/data/akapila/workspace/master/installation/lib:$LD_LIBRARY_PATH

# config_values
#run_bin="org_rel"
#run_bin="drop_table_rel_v1"
run_bin="drop_table_rel_v2"

echo "============== $run_bin =============" >> test_results.txt
cp postgres_${run_bin} postgres

DB=postgres

for x in '8 MB' '32 MB' '128 MB' '1 GB' '8 GB'
do
      ./pg_ctl -l /dev/null -o "--shared_buffers='$x'" start
      sleep 5
      echo tps for $x
      ./psql -c "SHOW shared_buffers" $DB
      ./pgbench --file=run.sql -j 1 -c 1 -T 10 $DB 2> /dev/null
      ./pg_ctl stop
      sleep 5
done
